/**
 * JavaScript for ext-surfbar - Stopped
 * --------------------------------------------------------------------
 * Copyright (c) 2003 - 2009 by Roland Haeder
 * Copyright (c) 2009 - 2013 by Mailer Developer Team
 * For more information visit: http://mxchange.org
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,
 * MA  02110-1301  USA
 */

var interval  = null;
var countDown = '{?surfbar_restart_time?}';
var timer     = document.getElementById('surfbar_counter');
var buttonDiv = document.getElementById('surfbar_button');

function restart () {
	this.location.reload();
}

function showButton () {
	buttonDiv.innerHTML = '{%form,formTarget_blank,formMethodGet=surfbar.php%}<input type=\'hidden\' name=\'frame\' value=\'top\' /><input type=\'submit\' id=\'form_submit\' value=\'Surfbar erneut starten\' />{%form_close%}';
}

function counter () {
	if (countDown == 0) {
		if ({%get=autostart%} === true) {
			restart();
		} else {
			showButton();
		}
		window.clearInterval(interval);
	} else {
		countDown--;
		timer.innerHTML = countDown;
	}
}

function init () {
	interval = window.setInterval('counter()', 1000);
	timer.innerHTML = '{?surfbar_restart_time?}';
}

window.setTimeout('init()', 500);
