<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 04/11/2004 *
 * ===================                          Last change: 08/12/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : wernis_de.php                                    *
 * -------------------------------------------------------------------- *
 * Short description : German langugage support                         *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Deutsche Sprachunterstuetzung                    *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2013 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	die();
} // END - if

// Language definitions
addMessages(array(
	'WERNIS_STATUS_UNKNWOWN' => "Wernis-Typ <span class=\"data\">%s</span> unbekannt.",
	'WERNIS_STATUS_WITHDRAW' => "Einzahlung von WDS66",
	'WERNIS_STATUS_PAYOUT' => "Auszahlung an WDS66",
	'WERNIS_STATUS_FAILED' => "Fehlgeschlagen",
	'WERNIS_TIMESTAMP' => "Buchungszeitmarke",
	'WERNIS_ACCOUNT' => "WDS66-Hauptaccount",
	'WERNIS_TOTAL_WERNIS' => "Gesamt &uuml;berwiesen",

	// Admin messages
	'ADMIN_CONFIG_WERNIS_TITLE' => "Einstellungen zum WDS66-Hauptaccount:",
	'ADMIN_CONFIG_WERNIS_MIN_PAYOUT' => "Minimumguthaben f&uuml;r Auszahlungen.",
	'ADMIN_CONFIG_WERNIS_MIN_WITHDRAW' => "Minimumguthaben f&uuml;r Einzahlungen.",
	'ADMIN_CONFIG_WERNIS_API_ID' => "WDS66-API-Id (api_id=x)",
	'ADMIN_CONFIG_WERNIS_API_MD5' => "WDS66-API-Key (api_md5=xxxxx; 32-stellig)",
	'ADMIN_CONFIG_WERNIS_API_URL' => "Basis-URL der API-Skripte",
	'ADMIN_CONFIG_WERNIS_REFID' => "Ihre Referral-Id bei WDS66-Portal (= Ihr Username!)",
	'ADMIN_CONFIG_WERNIS_WPASS' => "Wernis-Passwort (nicht Account-Passwort!)",
	'ADMIN_CONFIG_WERNIS_NOTICE' => "[<a href=\"{?wernis_base_url?}/ref.php?refid=10437\" target=\"_blank\">Hier</a>] k&ouml;nnen Sie schon f&uuml;r <strong>einmalig kostenlos</strong> <strong>25.000 Abfragen</strong> ein API-Account beantragen (dazu ist ein <strong>kostenloses</strong> Wernis-Account dennoch n&ouml;tig!) Geben Sie immer Ihren Usernamen von WDS66-Hauptaccount ein und &uuml;berpr&uuml;fen Sie diesen mehrmals! Er wird zum &Uuml;berweisen von und nach WDS66-Wernis-Portal ben&ouml;tigt. Die Betreibergeb&uuml;hren und Umrechnungsfaktoren sind f&uuml;r den Betrieb Ihres {?mt_word2?} komplett in Wernis ausgelegt, diese m&uuml;ssen Sie also noch anpassen, wenn Sie z.B. Punkte haben und in Wernis auszahlen lassen wollen. Sollten Sie sowohl einen feste als auch eine prozentuale Betreibergeb&uuml;hr eingestellt haben, gilt die prozentuale.",
	'ADMIN_WERNIS_NO_TRANSFERS' => "Derzeit keine Wernis transferiert.",
	'ADMIN_WERNIS_WDS66_ACCOUNT' => "Account bei WDS66-Portal",
	'ADMIN_WERNIS_TRANSFERED' => "Wernis transferiert",
	'ADMIN_WERNIS_TIMESTAMP' => "Zeitpunkt &Uuml;berweisung",
	'ADMIN_WERNIS_TYPE' => "&Uuml;berweisungsrichtung",
	'ADMIN_WERNIS_API_MESSAGE' => "Nachricht von WDS66-API",
	'ADMIN_WERNIS_API_STATUS' => "Status von WDS66-API",
	'ADMIN_CONFIG_WERNIS_PAYOUT_ACTIVE' => "Auszahlungen zum WDS66-Portal aktiviert?",
	'ADMIN_CONFIG_WERNIS_WITHDRAW_ACTIVE' => "Einzahlungen vom WDS66-Portal aktiviert?",
	'ADMIN_CONFIG_WERNIS_PAYOUT_FACTOR' => "Umrechnungsfaktor von {?POINTS?} in Wernis f&uuml;r Auszahlungen",
	'ADMIN_CONFIG_WERNIS_WITHDRAW_FACTOR' => "Umrechnungsfaktor von Wernis in {?POINTS?} f&uuml;r Einzahlungen",
	'ADMIN_CONFIG_WERNIS_PAYOUT_FEE_PERCENT' => "Prozentuale Betreibergeb&uuml;hr f&uuml;r Auszahlungen",
	'ADMIN_CONFIG_WERNIS_WITHDRAW_FEE_PERCENT' => "Prozentuale Betreibergeb&uuml;hr f&uuml;r Einzahlungen",
	'ADMIN_CONFIG_WERNIS_PAYOUT_FEE_FIX' => "Fixe Betreibergeb&uuml;hr f&uuml;r Auszahlungen",
	'ADMIN_CONFIG_WERNIS_WITHDRAW_FEE_FIX' => "Fixe Betreibergeb&uuml;hr f&uuml;r Einzahlungen",
	'ADMIN_LIST_WERNIS_TITLE' => "Alle Transaktionen von und zum Wernis-Portal auflisten:",
	'ADMIN_LIST_WERNIS_FOOTER' => "Hier soll ein Hinweis hinkommen.",
	'ADMIN_TASK_LIST_WERNIS_ALL' => "Alle Wernis-Ein-/Auszahlungen",
	'ADMIN_TASK_LIST_WERNIS_ALL_TITLE' => "Listet alle Wernis-Ein- und Auszahlungen auf.",

	// API messages
	'WERNIS_API_REQUEST_DATA_INVALID' => "Interner Fehler: Abfragedaten sind defekt.",
	'WERNIS_API_REQUEST_DATA_MISSING' => "Interner Fehler: Abfragedaten sind nicht komplett.",
	'WERNIS_API_REQUEST_ERROR' => "Abfragefehler: <span class=\"data\">%s</span>",
	'WERNIS_API_REQUEST_PROBLEM' => "Abfrageproblem: Status=<span class=\"data\">%s</span>, R&uuml;ckmeldung=<span class=\"data\">%s</span>",
	'WERNIS_API_REQUEST_FAILED' => "Unbekannter Fehler <span class=\"data\">%s</span> von API erhalten! Bitte im [<a href=\"http://bugs.mxchange.org\" target=\"_blank\" title=\"Direktlink zum Bug-Tracker\">Bug-Tracker posten</a>], den Fehlercode nennen und wie es dazu gekommen ist.",
	'WERNIS_API_REQUEST_FAILED_AUTH' => "Authorisierung an API fehlgeschlagen! Bitte API-Id und Key &uuml;berpr&uuml;fen. [<a href=\"{?wernis_base_url?}/modules.php?module=export\" target=\"_blank\" title=\"Direkt zum WDS66-Exportaccount\">Hier</a>] direkt zum Export-Account. Sie ben&ouml;tigen Ihren Usernamen und Passwort.",
	'WERNIS_API_REQUEST_FAILED_USER' => "Useraccount nicht gefunden oder Wernis-Passwort ist ung&uuml;ltig.",
	'WERNIS_API_REQUEST_FAILED_OWN' => "&Uuml;berweisung an eigenes Account nicht m&ouml;glich.",
	'WERNIS_API_REQUEST_FAILED_AMOUNT' => "Konto weist nicht gen&uuml;gend Deckung auf.",
	'WERNIS_API_REQUEST_FAILED_API_AMOUNT' => "API-Konto weist nicht gen&uuml;gend Deckung auf.",
	'WERNIS_API_PURPOSE_WITHDRAW' => "Einzahlung auf {?MAIN_TITLE?} ({?URL?}), id: <span class=\"data\">%s</span>",
	'WERNIS_API_PURPOSE_PAYOUT' => "Auszahlung von {?MAIN_TITLE?} ({?URL?}), id: <span class=\"data\">%s</span>",

	// Error messages
	'WERNIS_ERROR_STATUS' => "Fehler-Status <span class=\"data\">%s</span> erhalten.",
	'WERNIS_UNKNOWN_ERROR' => "Unbekannter Fehler aufgetreten.",

	// Member messages
	'MEMBER_WERNIS_MODE_CHOOSE' => "M&ouml;chten Sie Wernis zu Ihrem WDS66-Hauptaccount ausbezahlt bekommen oder Wernis hier einzahlen?",
	'MEMBER_WERNIS_MODE_CHOOSE2' => "Hier klicken um neue &Uuml;berweisung zu starten...",
	'MEMBER_WERNIS_NO_ACCOUNT' => "Noch kein WDS66-Account? Hier entlang.",
	'MEMBER_WERNIS_API_DATA_MISSING' => "Diese Funktion kann derzeit nicht genutzt werden, da wir sie noch einrichten m&uuml;ssen.",
	'MEMBER_WERNIS_MIN_PAYOUT' => "Sie haben nicht gen&uuml;gend Wernis zum Auszahlen! Mindestens: <span class=\"data\">{OPEN_TEMPLATE}config,translateComma=wernis_min_payout{CLOSE_TEMPLATE} {?POINTS?}</span>, Ihr Guthaben: <span class=\"data\">{OPEN_TEMPLATE}pipe,,translateComma=%01.5f{CLOSE_TEMPLATE}</span> {?POINTS?}.",
	'MEMBER_WERNIS_WITHDRAW_TITLE' => "Wernis bei {?MAIN_TITLE?} einzahlen:",
	'MEMBER_WERNIS_WITHDRAW_POINTS_ACCOUNT' => "Wernis hier im Account:",
	'MEMBER_WERNIS_WITHDRAW_MIN_POINTS' => "Mindest einzuzahlendes Wernis-Guthaben:",
	'MEMBER_WERNIS_WITHDRAW_SUBMIT' => "Wernis jetzt einzahlen",
	'MEMBER_WERNIS_WITHDRAW_NOTICE' => "Ihr Wernis-Passwort wird bei {?MAIN_TITLE?} nicht gespeichert. Bitte bei Wernis-Betrag nur gerade Betr&auml;ge eingeben! Ihr WDS66-Konto sollte ausreichend Deckung aufweisen.",
	'MEMBER_WERNIS_PAYOUT_TITLE' => "Wernis auf Ihr WDS66-Hauptaccount auszahlen",
	'MEMBER_WERNIS_PAYOUT_POINTS' => "Auszahlf&auml;higes Wernis-Guthaben",
	'MEMBER_WERNIS_PAYOUT_MIN_POINTS' => "Mindestens auszuzahlendes Wernis-Guthaben",
	'MEMBER_WERNIS_PAYOUT_SUBMIT' => "Auszahlung durchf&uuml;hren",
	'MEMBER_WERNIS_PAYOUT_NOTICE' => "Ihr Wernis-Passwort wird bei {?MAIN_TITLE?} nicht gespeichert. Bitte bei Wernis-Betrag nur gerade Betr&auml;ge eingeben! &Uuml;berpr&uuml;fen Sie vor dem Absenden Ihren WDS66-Usernamen.",
	'MEMBER_WERNIS_WDS66_ID' => "Username bei WDS66-Portal: [<a href=\"{?wernis_base_url?}/modules.php?module=wpass\" target=\"_blank\">Vergessen?</a>]",
	'MEMBER_WERNIS_WDS66_PASSWORD' => "Wernis-Passwort (nicht Accountpasswort): [<a href=\"{?wernis_base_url?}/modules.php?module=wpass\" target=\"_blank\">Vergessen?</a>]",
	'MEMBER_WERNIS_WDS66_AMOUNT' => "Zu &uuml;berweisenden Betrag eingeben:",
	'MEMBER_WERNIS_MODE_INVALID' => "Ung&uuml;ltiger Modus <span class=\"data\">%s</span> erkannt. Bitte links im Men&uuml; fortfahren.",
	'MEMBER_WERNIS_EMPTY_USERNAME' => "Sie haben Ihren WDS66-Usernamen nicht eingegeben.",
	'MEMBER_WERNIS_EMPTY_PASSWORD' => "Sieh haben kein Wernis-Passwort eingegeben.",
	'MEMBER_WERNIS_EMPTY_AMOUNT' => "Sie haben keine zu &uuml;berweisende Betrag angegeben.",
	'MEMBER_WERNIS_INVALID_USERNAME' => "Bitte nur Zahlen f&uuml;r den WDS66-Usernamen eingeben.",
	'MEMBER_WERNIS_INVALID_AMOUNT' => "Bitte nur Zahlen f&uuml;r den zu &uuml;berweisenden Betrag eingeben.",
	'MEMBER_WERNIS_WITHDRAW_AMOUNT_SMALLER_MIN' => "Bitte geben Sie mindestens <span class=\"data\">{OPEN_TEMPLATE}config,translateComma=wernis_min_withdraw{CLOSE_TEMPLATE}</span> Wernis f&uuml;r die Einzahlung an.",
	'MEMBER_WERNIS_PAYOUT_AMOUNT_SMALLER_MIN' => "Bitte geben Sie mindestens <span class=\"data\">{OPEN_TEMPLATE}config,translateComma=wernis_min_payout{CLOSE_TEMPLATE}</span> Wernis f&uuml;r die Auszahlung an.",
	'MEMBER_WERNIS_WITHDRAW_FAILED' => "Die Einzahlung hat nicht geklappt! R&uuml;ckmeldung f&uuml;r den Support: <span class=\"data\">{OPEN_TEMPLATE}pipe,getWernisErrorMessage{CLOSE_TEMPLATE}</span>.",
	'MEMBER_WERNIS_WITHDRAW_DONE' => "Einzahlung auf Ihr {?MAIN_TITLE?} Konto erfolgreich abgeschlossen. :-)",
	'MEMBER_WERNIS_PAYOUT_FAILED' => "Die Auszahlung hat nicht geklappt! R&uuml;ckmeldung f&uuml;r den Support: <span class=\"data\">{OPEN_TEMPLATE}pipe,getWernisErrorMessage{CLOSE_TEMPLATE}</span>.",
	'MEMBER_WERNIS_PAYOUT_DONE' => "Auszahlung auf WDS66-Hauptaccount erfolgreich abgeschlossen. :-)",
	'MEMBER_WERNIS_PAYOUT_POINTS_DEPLETED' => "Sie k&ouml;nnen nicht <span class=\"data\">%s</span> Wernis auszahlen, da Sie nur <span class=\"data\">%s</span> &uuml;brig haben.",
	'MEMBER_WERNIS_STATUS' => "&Uuml;berweisungsart",
	'MEMBER_WERNIS_PAYOUT_DISABLED' => "Auszahlung wurde administrativ deaktiviert.",
	'MEMBER_WERNIS_WITHDRAW_DISABLED' => "Einzahlung wurde administrativ deaktiviert.",
	'MEMBER_WERNIS_MODE_WITHDRAW' => "Wernis einzahlen",
	'MEMBER_WERNIS_MODE_PAYOUT' => "Wernis auszahlen",
	'MEMBER_WERNIS_LIST_WERNIS' => "&Uuml;berweisungsliste von/an WDS66-Hauptaccount",

	// Guest messages - registration
	'GUEST_WERNIS_REGISTRATION_TITLE' => "Anmelung mit WDS66",
	'GUEST_WERNIS_REGISTRATION_LEGEND' => "Bitte geben Sie Ihre WDS66 Mitgliedsnummer und das Wernis-Passwort ein:",
	'GUEST_ENTER_WERNIS_ID' => "Ihre WDS66 Mitgliedsnummer:",
	'GUEST_ENTER_WERNIS_PASSWORD' => "Ihr Wernis-Passwort:",
	'GUEST_WERNIS_REGISTRATION_SUBMIT' => "Mit WDS66 anmelden",
	'GUEST_WERNIS_REGISTRATION_NOTICE' => "Bitte verwenden Sie Ihr Wernis-Passwort zur Anmeldung, Ihr Accountpasswort wird hier nicht funktionieren, da dieses zum Anmelden an WDS66 gedacht ist.",
	'GUEST_WERNIS_SIGNUP_NOTICE' => "Sie haben noch keinen WDS66-Account? <a rel=\"external\" target=\"_blank\" href=\"{?wernis_base_url?}/ref.php?refid={?wernis_refid?}\">Hier geht es zur kostenlosen Anmeldung.",
	'GUEST_WERNIS_RESTORE_PASSWORD_NOTICE' => "Sie haben kein Wernis-Passwort oder haben es vergessen? <a rel=\"external\" target=\"_blank\" href=\"{?wernis_base_url?}/modules.php?module=wpass\">Hier ein neues einstellen.",
	'GUEST_WERNIS_REGISTRATION_ID_NOT_SET' => "Bitte geben Sie Ihre Wernis-Id ein. Tipp: Mit dieser Id-Nummer melden Sie sich auch bei WDS66 an.",
	'GUEST_WERNIS_REGISTRATION_PASSWORD_NOT_SET' => "Bitte geben Sie Ihr Wernis-Passwort ein. Tipp: Dies ist <strong>nicht</strong> Ihr Account-Passwort.",
	'GUEST_WERNIS_REGISTRATION_INVALID_CHALLENGE_RESPONSE' => "Es ist beim Anmeldeversuch ein Fehler unterlaufen: Falsche Challenge-Response",
	'GUEST_WERNIS_REGISTRATION_ZERO_ROWS_FOUND' => "Es konnte keine Anmeldedaten von der WDS66-API gefunden werden. Haben Sie auch den richtigen Link aufgerufen?",
	'GUEST_REGISTER_WERNIS_PROVIDER_TITLE' => "Anmeldung mit WDS66 am {?mt_word?} <strong>{?MAIN_TITLE?}</strong>:",

	// Points accounts - subject
	'POINTS_SUBJECT_WERNIS_WITHDRAW' => "Einzahlung vom WDS66-Account",

	// Registration provider
	'REGISTRATION_PROVIDER_WERNIS_USER_REGISTRATION' => "Mit WDS66-Portal anmelden ...",
));

// [EOF]
?>
